package com.example.juanalonsoastruga.cargascontrol.Datos.Entidades;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.annotation.NonNull;

@Entity(tableName = "COMBUSTIBLE")
public class Combustible {

    @PrimaryKey
    private Integer id;
    @NonNull
    private String tipo;
    @NonNull
    private String unidades;

    public Combustible( Integer id, @NonNull String tipo, @NonNull String unidades) {
        this.id = id;
        this.tipo = tipo;
        this.unidades = unidades;
    }


    @NonNull
    public Integer getId() { return id; }
    @NonNull
    public String getTipo() {
        return tipo;
    }
    @NonNull
    public String getUnidades() {
        return unidades;
    }

    public void setId(@NonNull Integer id) {
        this.id = id;
    }

    public void setTipo(@NonNull String tipo) {
        this.tipo = tipo;
    }

    public void setUnidades(@NonNull String unidades) {
        this.unidades = unidades;
    }
}
