package com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoGasolineras;


import java.math.RoundingMode;
import java.text.DecimalFormat;

public class PostDataGasolinera {
    private String nombre;
    private String km;
    private String direccion;
    private String localidad;
    private double latitud;
    private double longitud;

    public PostDataGasolinera(String nombre, String km, String direccion,String localidad, double latitud, double longitud) {
        setNombre(nombre);
        setKm(km);
        setDireccion(direccion);
        setLatitud(latitud);
        setLongitud(longitud);
        setLocalidad(localidad);
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getKm() {
        return km;
    }

    public void setKm(String km) {

        double valor =Double.parseDouble(km);
        DecimalFormat formato = new DecimalFormat("#.##");
        formato.setRoundingMode(RoundingMode.CEILING);
        this.km = formato.format(valor).replace('.',',');
    }

    public String getDireccion() {
        return direccion;
    }

    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    public double getLatitud() {
        return latitud;
    }

    public void setLatitud(double latitud) {
        this.latitud = latitud;
    }

    public double getLongitud() {
        return longitud;
    }

    public void setLongitud(double longitud) {
        this.longitud = longitud;
    }

    public String getLocalidad() {return localidad;}

    public void setLocalidad(String localidad) {this.localidad = localidad;}
}
