package com.example.juanalonsoastruga.cargascontrol.Formateador.CURegistrarRecarga;

import android.graphics.Bitmap;

import com.example.juanalonsoastruga.cargascontrol.Controlador.CURegistrarRecarga.InterfaceCRegistrarRecarga;

public interface InterfaceFRegistrarRecargaImpl {
    void comienzoCU();

    void registrarSinFecha();

    void registrarSinTiempo();

    void setConFecha();

    void setConTiempo();

    boolean isRegistroCorrecto();

    void registrarMatricula(String matricula);

    void registrarFechayTiempo(Integer ano, Integer mes, Integer dia, Integer hora, Integer minuto);

    void registrarKm(Double parseDouble);

    void registrarCoste(Double parseDouble);

    void registrarCombustible(String toString);

    void registrarRecarga(Double parseDouble);

    void registraFoto(Bitmap bitmap);

    void solicitarRegistro();

    String getMsgError();

    boolean isSinTiempo();

    boolean isSinFecha();

    void registroConCamposIncompletos();

    void registroConCamposCompletos();

    InterfaceCRegistrarRecarga getControlador();

    void setControlador(InterfaceCRegistrarRecarga presenter);
}
