package com.example.juanalonsoastruga.cargascontrol.Modelo.CUGraficarKm;

import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTORecarga;
import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTOVehiculo;

import java.util.Date;
import java.util.List;

public interface InterfaceMGraficarKm {
    List<DTORecarga> getRecargasMensualesCombustible(String matricula, String combustible, Date primerDiaMes, Date ultimoDiaMes);
    List<DTORecarga> getRecargasAnualesCombustible(String matricula, String combustible, Date dateIni, Date dateFin);
    DTOVehiculo getVehiculo(String matricula);
    DTORecarga getUltimaRecargaAntesDe(String matricula,Date dateIni);
    DTORecarga getUltimaRecargaCombustibleAntesDe(String matricula,Date dateIni,String combustible);
}
