package com.example.juanalonsoastruga.cargascontrol.Modelo.CURegistrarRecarga;

import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTODatosDerivadosCombustible;
import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTODatosDerivadosCostesCombustible;
import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTODatosDerivadosVehiculoTotales;
import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTORecarga;
import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.DTOVehiculo;
import com.example.juanalonsoastruga.cargascontrol.Datos.InterfaceFachadaDatos;

import java.util.Date;

public interface InterfaceMRegistrarRecarga {

    void registraRecarga(DTORecarga recarga);

    DTORecarga getUltimaRecargaAntesDe(String matricula, Date dateIni,String combustible);

    DTORecarga getUltimaRecargaRegistradaMismoCombustible(String matricula,String combustible);

    DTOVehiculo getVehiculo(String matricula);

    void setRepo();

    void setRepo(InterfaceFachadaDatos datos);

    InterfaceFachadaDatos getDatos();

    DTODatosDerivadosVehiculoTotales getDDVehiculo(String matricula, int anio, int mes);

    boolean isPrimerRegistroDatosDerivadosVehiculo(String matricula);

    void addDatosDerivadosVehiculo(DTODatosDerivadosVehiculoTotales ddv);

    DTODatosDerivadosVehiculoTotales getLastRegistroDatosDerivadosVehiculo(String matricula);

    void actualizaDatosDerivadosVehiculo(DTODatosDerivadosVehiculoTotales ddv);

    DTODatosDerivadosCombustible getDDVCombustible(String matricula, int year, int month, String combustible);

    boolean isPrimerRegistroDatosDerivadosCombustible(String matricula, String combustible);

    void addDatosDerivadosCombustible(DTODatosDerivadosCombustible ddv);

    DTODatosDerivadosCombustible getLastRegistroDatosDerivadosCombustible(String matricula,String combustible);

    void actualizaDatosDerivadosCombustible(DTODatosDerivadosCombustible ddv);

    DTODatosDerivadosCostesCombustible getDDVCostesCombustible(String matricula, int year, int month, String combustible);

    boolean isPrimerRegistroDatosDerivadosCosteCombustible(String matricula, String combustible);

    DTODatosDerivadosCostesCombustible getLastRegistroDatosDerivadosCostesCombustible(String matricula, String combustible);

    void actualizaDatosDerivadosCosteCombustible(DTODatosDerivadosCostesCombustible ddv);

    void addDatosDerivadosCosteCombustible(DTODatosDerivadosCostesCombustible ddv);

    DTORecarga getUltimaRecargaRegistrada(String matricula,Date date);
}
