package com.example.juanalonsoastruga.cargascontrol.Vista.CalculadoraTrayectos;

import android.os.Bundle;

import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.example.juanalonsoastruga.cargascontrol.Formateador.CUCalcularCosteTrayecto.FormateadorCalcularCosteTrayecto;
import com.example.juanalonsoastruga.cargascontrol.R;


public class CalculadoraTrayectoFragment extends Fragment {


    private EditText editTextDistanciaTrayecto;
    private EditText editTextPrecioTrayecto;
    private EditText editTextConsumoTrayecto;
    private TextView editTextResultadoTrayecto;
    private Button botonCalculo;
    private View view;
    private FormateadorCalcularCosteTrayecto formateador;
    public CalculadoraTrayectoFragment() {
        // Required empty public constructor
    }


    public static CalculadoraTrayectoFragment newInstance(String param1, String param2) {
        CalculadoraTrayectoFragment fragment = new CalculadoraTrayectoFragment();

        return fragment;
    }



    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        view= inflater.inflate(R.layout.fragment_calculadora_trayecto, container, false);
        editTextDistanciaTrayecto=view.findViewById(R.id.editTextDistanciaTrayecto);
        editTextPrecioTrayecto=view.findViewById(R.id.editTextPrecioTrayecto);
        editTextConsumoTrayecto=view.findViewById(R.id.editTextConsumoTrayecto);
        editTextResultadoTrayecto=view.findViewById(R.id.editTextResultadoTrayecto);
        botonCalculo=view.findViewById(R.id.botonModificacion);
        formateador=new FormateadorCalcularCosteTrayecto();
        return view;
    }

    @Override
    public void onResume() {
        super.onResume();

        botonCalculo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                formateador.solicitudCalculo( editTextDistanciaTrayecto.getText().toString(),editTextPrecioTrayecto.getText().toString(),editTextConsumoTrayecto.getText().toString());

                if(formateador.getMensajeError()!=null){
                    //Muestra mensaje
                    Toast.makeText(getContext(), formateador.getMensajeError(), Toast.LENGTH_LONG).show();

                }else{
                   //Muestra el resultado
                    String resultado=formateador.getResultado();
                    editTextResultadoTrayecto.setText(resultado);
                }
            }
        });

    }

}
