package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarEstadisticasVehiculo;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableRow;
import android.widget.TextView;

import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.CodigoCombustibleVehiculo;
import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaCombustible.InterfaceFConsultarEstadisticaCombustibleImpl;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaCombustible.FormateadorConsultarEstadisticaCombustible;


public class ConsultarEstadisticaCombustibleFragment extends Fragment {
    private View view;
    private TextView txtMatricula;
    private TextView txtMes;
    private TextView txtAnio;
    private TextView editTextMatriculaCombustibleEstadisticaCombustible;
    private TextView editTextMesCombustibleEstadisticaCombustible;
    private TextView editTextAnioCombustibleEstadisticaCombustible;
    private TextView editTextNRecargasMesCombustibleEstadisticaCombustible;
    private TextView editTextNRecargasAnioCombustibleEstadisticaCombustible;
    private TextView editTextCombustibleRecargasMesCombustibleEstadistica;
    private TextView editTextMediaCombustibleRecargasMesCombustibleEstadistica;
    private TextView editTextCombustibleRecargasAnioCombustibleEstadistica;
    private TextView editTextMediaCombustibleRecargasAnioCombustibleEstadistica;
    private TextView editTextMinimoCombustibleRecargasMesCombustibleEstadistica;
    private TextView editTextMaximoCombustibleRecargasMesCombustibleEstadistica;
    private TextView editTextMinimoCombustibleRecargasAnioCombustibleEstadistica;
    private TextView editTextMaximoCombustibleRecargasAnioCombustibleEstadistica;
    private TextView editTextMediaCombustibleKmRecargasMesCombustibleEstadistica;
    private TextView editTextMediaCombustibleKmRecargasAnioCombustibleEstadistica;
    private TextView editTextMinimoCombustibleKmRecargasMesCombustibleEstadistica;
    private TextView editTextMaximoCombustibleKmRecargasMesCombustibleEstadistica;
    private TextView editTextMinimoCombustibleKmRecargasAnioCombustibleEstadistica;
    private TextView editTextMaximoCombustibleKmRecargasAnioCombustibleEstadistica;
    private TableRow rowMatriculaVehiculoCombustible;
    private TableRow rowMesCombustible;
    private TableRow rowAnioCombustible;
    private TableRow rowNRecargasMesCombustible;
    private TableRow rowNRecargasAnio;
    private TableRow rowCombustibleMesCombustible;
    private TableRow rowMediaCombustibleMesCombustible;
    private TableRow rowCombustibleAnioCombustible;
    private TableRow rowMediaCombustibleAnioCombustible;
    private TableRow rowMinimoCombustibleMes;
    private TableRow rowMaximoCombustibleMes;
    private TableRow rowMinimoCombustibleAnio;
    private TableRow rowMaximoCombustibleAnio;
    private TableRow rowMediaKmRecargaMesCombustible;
    private TableRow rowMediaKmRecargaAnioCombustible;
    private TableRow rowMinimoKmRecargaMesCombustible;
    private TableRow rowMaximoKmRecargaMesCombustible;
    private TableRow rowMinimoKmRecargaAnioCombustible;
    private TableRow rowMaximoKmRecargaAnioCombustible;
    private int codigoCombustible;
    private SharedPreferences prefs;
    private String matricula;
    private InterfaceFConsultarEstadisticaCombustibleImpl formateador;



    public ConsultarEstadisticaCombustibleFragment() {
        // Required empty public constructor
    }


    public static ConsultarEstadisticaCombustibleFragment newInstance() {
        return new  ConsultarEstadisticaCombustibleFragment();
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
       view= inflater.inflate(R.layout.fragment_consultar_estadistica_combustible, container, false);

       editTextMatriculaCombustibleEstadisticaCombustible=view.findViewById(R.id.editTextMatriculaCombustibleEstadisticaCombustible);
       editTextMesCombustibleEstadisticaCombustible=view.findViewById(R.id.editTextMesCombustibleEstadisticaCombustible);
       editTextAnioCombustibleEstadisticaCombustible=view.findViewById(R.id.editTextAnioCombustibleEstadisticaCombustible);
       editTextNRecargasMesCombustibleEstadisticaCombustible=view.findViewById(R.id.editTextNRecargasMesCombustibleEstadisticaCombustible);
       editTextNRecargasAnioCombustibleEstadisticaCombustible=view.findViewById(R.id.editTextNRecargasAnioCombustibleEstadisticaCombustible);
       editTextCombustibleRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextCombustibleRecargasMesCombustibleEstadistica);
       editTextMediaCombustibleRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMediaCombustibleRecargasMesCombustibleEstadistica);
       editTextCombustibleRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextCombustibleRecargasAnioCombustibleEstadistica);
       editTextMediaCombustibleRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMediaCombustibleRecargasAnioCombustibleEstadistica);
       editTextMinimoCombustibleRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMinimoCombustibleRecargasMesCombustibleEstadistica);
       editTextMaximoCombustibleRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMaximoCombustibleRecargasMesCombustibleEstadistica);
       editTextMinimoCombustibleRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMinimoCombustibleRecargasAnioCombustibleEstadistica);
       editTextMaximoCombustibleRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMaximoCombustibleRecargasAnioCombustibleEstadistica);
       editTextMediaCombustibleKmRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMediaCombustibleKmRecargasMesCombustibleEstadistica);
       editTextMediaCombustibleKmRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMediaCombustibleKmRecargasAnioCombustibleEstadistica);
       editTextMinimoCombustibleKmRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMinimoCombustibleKmRecargasMesCombustibleEstadistica);
       editTextMaximoCombustibleKmRecargasMesCombustibleEstadistica=view.findViewById(R.id.editTextMaximoCombustibleKmRecargasMesCombustibleEstadistica);
       editTextMinimoCombustibleKmRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMinimoCombustibleKmRecargasAnioCombustibleEstadistica);
       editTextMaximoCombustibleKmRecargasAnioCombustibleEstadistica=view.findViewById(R.id.editTextMaximoCombustibleKmRecargasAnioCombustibleEstadistica);



       rowMatriculaVehiculoCombustible=view.findViewById(R.id.rowMatriculaVehiculoCombustible);
       rowMesCombustible=view.findViewById(R.id.rowMesCombustible);
       rowAnioCombustible=view.findViewById(R.id.rowAnioCombustible);
       rowNRecargasMesCombustible=view.findViewById(R.id.rowNRecargasMesCombustible);
       rowNRecargasAnio=view.findViewById(R.id.rowNRecargasAnio);
       rowCombustibleMesCombustible=view.findViewById(R.id.rowCombustibleMesCombustible);
       rowMediaCombustibleMesCombustible=view.findViewById(R.id.rowMediaCombustibleMesCombustible);
       rowCombustibleAnioCombustible=view.findViewById(R.id.rowCombustibleAnioCombustible);
       rowMediaCombustibleAnioCombustible=view.findViewById(R.id.rowMediaCombustibleAnioCombustible);
       rowMinimoCombustibleMes=view.findViewById(R.id.rowMinimoCombustibleMes);
       rowMaximoCombustibleMes=view.findViewById(R.id.rowMaximoCombustibleMes);
       rowMinimoCombustibleAnio=view.findViewById(R.id.rowMinimoCombustibleAnio);
       rowMaximoCombustibleAnio=view.findViewById(R.id.rowMaximoCombustibleAnio);
       rowMediaKmRecargaMesCombustible=view.findViewById(R.id.rowMediaKmRecargaMesCombustible);
       rowMediaKmRecargaAnioCombustible=view.findViewById(R.id.rowMediaKmRecargaAnioCombustible);
       rowMinimoKmRecargaMesCombustible=view.findViewById(R.id.rowMinimoKmRecargaMesCombustible);
       rowMaximoKmRecargaMesCombustible=view.findViewById(R.id.rowMaximoKmRecargaMesCombustible);
       rowMinimoKmRecargaAnioCombustible=view.findViewById(R.id.rowMinimoKmRecargaAnioCombustible);
       rowMaximoKmRecargaAnioCombustible=view.findViewById(R.id.rowMaximoKmRecargaAnioCombustible);

       prefs =   this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);
       matricula =prefs.getString("matricula","0");
       formateador = new FormateadorConsultarEstadisticaCombustible();

       return view;
    }

    @Override
    public void onResume(){
        super.onResume();

        codigoCombustible=Integer.parseInt(prefs.getString("combustible","0"));

        boolean sinDatos=false;
        try {
            if(CodigoCombustibleVehiculo.getDescripcion(codigoCombustible).equals("CPRIM")){
                formateador.comienzaCU(matricula,CodigoCombustibleVehiculo.CPRIM.getId());
            }else{
                formateador.comienzaCU(matricula,CodigoCombustibleVehiculo.CSEC.getId());
            }

        }catch(Exception excp){
            Log.d("ConsultarEstadisticaCombustibleFragment","EXCEPCION");
            excp.printStackTrace();
            sinDatos=true;
        }
        if(sinDatos){

            rowMatriculaVehiculoCombustible.setVisibility(View.GONE);
            rowMesCombustible.setVisibility(View.GONE);
            rowAnioCombustible.setVisibility(View.GONE);
            rowNRecargasMesCombustible.setVisibility(View.GONE);
            rowNRecargasAnio.setVisibility(View.GONE);
            rowCombustibleMesCombustible.setVisibility(View.GONE);
            rowMediaCombustibleMesCombustible.setVisibility(View.GONE);
            rowCombustibleAnioCombustible.setVisibility(View.GONE);
            rowMediaCombustibleAnioCombustible.setVisibility(View.GONE);
            rowMinimoCombustibleMes.setVisibility(View.GONE);
            rowMaximoCombustibleMes.setVisibility(View.GONE);
            rowMinimoCombustibleAnio.setVisibility(View.GONE);
            rowMaximoCombustibleAnio.setVisibility(View.GONE);
            rowMediaKmRecargaMesCombustible.setVisibility(View.GONE);
            rowMediaKmRecargaAnioCombustible.setVisibility(View.GONE);
            rowMinimoKmRecargaMesCombustible.setVisibility(View.GONE);
            rowMaximoKmRecargaMesCombustible.setVisibility(View.GONE);
            rowMinimoKmRecargaAnioCombustible.setVisibility(View.GONE);
            rowMaximoKmRecargaAnioCombustible.setVisibility(View.GONE);

        }else{

            cargaDatos();
        }
    }

    private void cargaDatos(){

        editTextMatriculaCombustibleEstadisticaCombustible.setText(formateador.getMatricula());
        editTextMesCombustibleEstadisticaCombustible.setText(formateador.getMes()+"");
        editTextAnioCombustibleEstadisticaCombustible.setText(formateador.getAnio()+"");
        editTextNRecargasMesCombustibleEstadisticaCombustible.setText(formateador.getNumerosRecargasMes()+"");
        editTextNRecargasAnioCombustibleEstadisticaCombustible.setText(formateador.getNumerosRecargasAnio()+"");
        editTextCombustibleRecargasMesCombustibleEstadistica.setText(formateador.getMedicionCombustibleMes()+"");
        editTextMediaCombustibleRecargasMesCombustibleEstadistica.setText(formateador.getMediaMedicionCombustibleMes()+"");
        editTextCombustibleRecargasAnioCombustibleEstadistica.setText(formateador.getMedicionCombustibleAnio()+"");
        editTextMediaCombustibleRecargasAnioCombustibleEstadistica.setText(formateador.getMediaMedicionCombustibleAnio()+"");
        editTextMinimoCombustibleRecargasMesCombustibleEstadistica.setText(formateador.getMinimoCombustibleMes()+"");
        editTextMaximoCombustibleRecargasMesCombustibleEstadistica.setText(formateador.getMaximoCombustibleMes()+"");
        editTextMinimoCombustibleRecargasAnioCombustibleEstadistica.setText(formateador.getMinimoCombustibleAnio()+"");
        editTextMaximoCombustibleRecargasAnioCombustibleEstadistica.setText(formateador.getMaximoCombustibleAnio()+"");
        editTextMediaCombustibleKmRecargasMesCombustibleEstadistica.setText(formateador.getMediaRecargasXKmCombustibleMes()+"");
        editTextMediaCombustibleKmRecargasAnioCombustibleEstadistica.setText(formateador.getMediaRecargasXKmCombustibleAnio()+"");
        editTextMinimoCombustibleKmRecargasMesCombustibleEstadistica.setText(formateador.getMinimoRecargasXKmCombustibleMes()+"");
        editTextMaximoCombustibleKmRecargasMesCombustibleEstadistica.setText(formateador.getMaximoRecargasXKmCombustibleMes()+"");
        editTextMinimoCombustibleKmRecargasAnioCombustibleEstadistica.setText(formateador.getMinimoRecargasXKmCombustibleAnio()+"");
        editTextMaximoCombustibleKmRecargasAnioCombustibleEstadistica.setText(formateador.getMaximoRecargasXKmCombustibleAnio()+"");


    }
}
