package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarGasolinerasCercanas;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarInformacionGasolinera.ConsultarInformacionGasolineraActivity;
import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoGasolineras.InterfaceFMostrarListadoGasolineraImpl;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoGasolineras.PostDataGasolinera;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoGasolineras.FormateadorMostrarListadoGasolineras;

import java.util.List;


public class ConsultarListadoGasolinerasFragment extends Fragment  implements
        View.OnClickListener, OnItemActionClickListener{
    private List<PostDataGasolinera> l;
    private ListAdapterGasolineras adaptador;
    private ListView lista;
    private View view;
    private InterfaceFMostrarListadoGasolineraImpl formateador;
    public ConsultarListadoGasolinerasFragment() {
        // Required empty public constructor
    }


    public static ConsultarListadoGasolinerasFragment newInstance() {
        ConsultarListadoGasolinerasFragment fragment = new ConsultarListadoGasolinerasFragment();

        return fragment;
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        view= inflater.inflate(R.layout.fragment_consultar_listado_gasolineras, container, false);
        lista=(ListView) view.findViewById(R.id.listviewgasolineras);
        formateador =new FormateadorMostrarListadoGasolineras();


        return view;
    }
    @Override
    public void onResume(){
        super.onResume();
        formateador.init();
        List<PostDataGasolinera> listado = formateador.getListadoEstaciones();
        ((TabsInformacionGasolinerasActivity)this.getActivity()).setListadoDatosGasolineras(listado);
        ((TabsInformacionGasolinerasActivity)this.getActivity()).setLatitud(formateador.getLatitudActual());
        ((TabsInformacionGasolinerasActivity)this.getActivity()).setLongitud(formateador.getLongitudActual());
        ListAdapterGasolineras adapterGasolineras= new ListAdapterGasolineras(getContext(),listado,this);
        lista.setAdapter(adapterGasolineras);
    }

    @Override
    public void onClickContainer(PostDataGasolinera d) {
        Intent activity = new Intent(getActivity(), ConsultarInformacionGasolineraActivity.class);
        SharedPreferences prefs =  this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = prefs.edit();
        editor.putString("direccion",d.getDireccion());
        editor.commit();
        getActivity().startActivity(activity);
    }

    @Override
    public void onClick(View v) {

    }
}
