package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarGasolinerasCercanas;

import android.os.Bundle;

 import com.example.juanalonsoastruga.cargascontrol.R;

import com.google.android.material.tabs.TabLayout;

import androidx.viewpager.widget.ViewPager;
import androidx.appcompat.app.AppCompatActivity;


import com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarGasolinerasCercanas.ui.main.SectionsPagerAdapter;

import java.util.List;

public class TabsInformacionGasolinerasActivity extends AppCompatActivity {


    private List listado;
    private String latitud;
    private String longitud;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_informacion_gasolineras);
        SectionsPagerAdapter sectionsPagerAdapter = new SectionsPagerAdapter(this, getSupportFragmentManager());
        ViewPager viewPager = findViewById(R.id.view_pager);
        viewPager.setAdapter(sectionsPagerAdapter);
        TabLayout tabs = findViewById(R.id.tabs);
        tabs.setupWithViewPager(viewPager);


    }

    public void setListadoDatosGasolineras(List listado){
        this.listado=listado;
    }

    public void setLatitud(String latitud){
        this.latitud=latitud;
    }
    public void setLongitud(String longitud){
        this.longitud=longitud;
    }

    public String getLatitud() {
        return latitud;
    }

    public String getLongitud() {
        return longitud;
    }

    public List getListadoDatosGasolineras(){
        return this.listado;
    }
}