package com.example.juanalonsoastruga.cargascontrol.Modelo.CUConsultarUltimoVehiculo;

import com.example.juanalonsoastruga.cargascontrol.Datos.FachadaDatos;
import com.example.juanalonsoastruga.cargascontrol.Datos.InterfaceFachadaDatos;

import org.easymock.Mock;
import org.junit.Before;
import org.junit.Test;

import static org.easymock.EasyMock.createMock;
import static org.easymock.EasyMock.expect;
import static org.easymock.EasyMock.replay;
import static org.easymock.EasyMock.verify;
import static org.junit.Assert.*;

public class ModeloRecuperarIdVehiculoUltimaConsultaTest {


    @Mock
    private InterfaceFachadaDatos d;

    private ModeloConsultarUltimoVehiculo modelo;
    @Before
    public  void setUp(){
        modelo=new ModeloConsultarUltimoVehiculo();
        d=createMock(FachadaDatos.instancia().getClass());
    }

    @Test
    public void setRepoNull(){

        modelo.setRepo(null);
        assertNotNull(modelo.getRepo());
    }

    @Test
    public void setRepoNotNull(){

        modelo.setRepo(d);
        assertNotNull(modelo.getRepo());
    }

    @Test
    public void recuperaIdUltimoVehiculoConsultado(){
        expect(d.getIdUltimoVehiculo()).andReturn("");
        replay(d);
        modelo.setRepo(d);
        assertEquals(modelo.recuperaIdUltimoVehiculoConsultado(),"");
        verify(d);
    }


}