package com.example.juanalonsoastruga.cargascontrol.Datos.UltimaConsultaProvider;

import java.io.InputStream;
import java.util.Hashtable;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

public class UltimaConsultaParser {

    private InputStream is;

    public UltimaConsultaParser(InputStream is)
    {
        this.is =is;
    }

    public String parseVehiculo(){
        SAXParserFactory factory = SAXParserFactory.newInstance();
        try
        {
            SAXParser parser = factory.newSAXParser();
            UltimoVehiculoHandler handler = new UltimoVehiculoHandler();
            parser.parse(is,handler);
            return handler.getUltimoVehiculo();
        }catch (Exception e)
        {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
    }

    public Hashtable parseRecarga(){
        SAXParserFactory factory = SAXParserFactory.newInstance();
        try
        {
            SAXParser parser = factory.newSAXParser();
            UltimaRecargaHandler handler = new UltimaRecargaHandler();
            parser.parse(is,handler);
            return handler.getUltimaRecarga();

        }catch (Exception e)
        {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
    }
}
