package com.example.juanalonsoastruga.cargascontrol.Datos.database;
import androidx.room.Database;
import androidx.room.RoomDatabase;

import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.CombustibleDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.DatDervdCombustibleDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.DatDervdCostesCombustibleDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.DatDervdVehiculoTotalDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.RecargaDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.DAO.VehiculoDAO;
import com.example.juanalonsoastruga.cargascontrol.Datos.Entidades.*;

@Database(entities={Combustible.class,
                    Vehiculo.class,
                    Recarga.class,
                    DatosDerivadosVehiculoTotales.class,
                    DatosDerivadosCombustible.class,
                    DatosDerivadosCostesCombustible.class},version = 1)
public abstract class AppDataBase  extends RoomDatabase{
    public abstract CombustibleDAO getCombustibleDAO();
    public abstract VehiculoDAO getVehiculoDAO();
    public abstract RecargaDAO getRecargaDAO();
    public abstract DatDervdVehiculoTotalDAO getDatDervVehiculoTotalDAO() ;
    public abstract DatDervdCostesCombustibleDAO getDatDervCostesCombustibleDAO() ;
    public abstract DatDervdCombustibleDAO getDatDervCombustibleDAO() ;
    }

