package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarEstadisticasVehiculo;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TableRow;
import android.widget.TextView;

import com.example.juanalonsoastruga.cargascontrol.CapaTransversal.CodigoCombustibleVehiculo;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaCostesCombustible.FormateadorConsultarEstadisticaCosteCombustible;
import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaCostesCombustible.InterfaceFConsultarEstadisticaCosteCombustibleImpl;

public class ConsultarEstadisticaCosteCombustibleFragment extends Fragment {


    private View view;
    private TextView editTextMatriculaVehiculoEstadisticaCombustibleCoste;
    private TextView editTextMesVehiculoEstadisticaCombustibleCoste;
    private TextView editTextAnioVehiculoEstadisticaCombustibleCoste;
    private TextView editTextNRecargasMesVehiculoEstadisticaCombustibleCoste;
    private TextView editTextNRecargasAnioVehiculoEstadisticaCombustibleCoste;
    private TextView editTextCosteCombustibleRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextCosteCombustibleRecargasAnioVehiculoEstadisticaCoste;
    private TextView editTextMediaCosteCombustibleRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMediaCosteCombustibleRecargasAnioVehiculoEstadisticaCoste;
    private TextView editTextMinimoCosteCombustibleRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMaximoCosteCombustibleRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMinimoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste;
    private TextView editTextMaximoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste;

    private TextView editTextMediaCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMediaCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste;
    private TextView editTextMinimoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMaximoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste;
    private TextView editTextMinimoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste;
    private TextView editTextMaximoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste;


    private TableRow rowCosteCombustibleMatricula;
    private TableRow rowCosteCombustibleMes;
    private TableRow rowCosteCombustibleAnio;
    private TableRow rowCosteCombustibleNumRecargasMes;
    private TableRow rowCosteCombustibleNumRecargasAnio;
    private TableRow rowCosteCombustibleCosteMes;
    private TableRow rowCosteCombustibleCosteAnio;
    private TableRow rowCosteCombustibleMediaMes;
    private TableRow rowCosteCombustibleMediaAnio;
    private TableRow rowCosteCombustibleMinimoMes;
    private TableRow rowCosteCombustibleMaximoMes;
    private TableRow rowCosteCombustibleMinimoAnio;
    private TableRow rowCosteCombustibleMaximoAnio;

    private TableRow rowCosteCombustibleXRecargaMediaMes;
    private TableRow rowCosteCombustibleXRecargaMediaAnio;
    private TableRow rowCosteCombustibleXRecargaMinimoMes;
    private TableRow rowCosteCombustibleXRecargaMaximoMes;
    private TableRow rowCosteCombustibleXRecargaMinimoAnio;
    private TableRow rowCosteCombustibleXRecargaMaximoAnio;
    private SharedPreferences prefs;
    private String matricula;
    private InterfaceFConsultarEstadisticaCosteCombustibleImpl formateador;
    private int codigoCombustible;
    public ConsultarEstadisticaCosteCombustibleFragment() {
        // Required empty public constructor
    }


    public static ConsultarEstadisticaCosteCombustibleFragment newInstance() {

        return new ConsultarEstadisticaCosteCombustibleFragment();
    }



    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        view= inflater.inflate(R.layout.fragment_consultar_estadistica_coste_combustible, container, false);

        editTextMatriculaVehiculoEstadisticaCombustibleCoste = view.findViewById(R.id.editTextMatriculaVehiculoEstadisticaCombustibleCoste);
        editTextMesVehiculoEstadisticaCombustibleCoste = view.findViewById(R.id.editTextMesVehiculoEstadisticaCombustibleCoste);
        editTextAnioVehiculoEstadisticaCombustibleCoste = view.findViewById(R.id.editTextAnioVehiculoEstadisticaCombustibleCoste);
        editTextNRecargasMesVehiculoEstadisticaCombustibleCoste = view.findViewById(R.id.editTextNRecargasMesVehiculoEstadisticaCombustibleCoste);
        editTextNRecargasAnioVehiculoEstadisticaCombustibleCoste = view.findViewById(R.id.editTextNRecargasAnioVehiculoEstadisticaCombustibleCoste);
        editTextCosteCombustibleRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextCosteCombustibleRecargasMesVehiculoEstadisticaCoste);
        editTextCosteCombustibleRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextCosteCombustibleRecargasAnioVehiculoEstadisticaCoste);
        editTextMediaCosteCombustibleRecargasMesVehiculoEstadisticaCoste  = view.findViewById(R.id.editTextMediaCosteCombustibleRecargasMesVehiculoEstadisticaCoste);
        editTextMediaCosteCombustibleRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMediaCosteCombustibleRecargasAnioVehiculoEstadisticaCoste);
        editTextMinimoCosteCombustibleRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMinimoCosteCombustibleRecargasMesVehiculoEstadisticaCoste);
        editTextMaximoCosteCombustibleRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMaximoCosteCombustibleRecargasMesVehiculoEstadisticaCoste);
        editTextMinimoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMinimoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste);
        editTextMaximoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMaximoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste);

        editTextMediaCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMediaCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste);
        editTextMediaCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMediaCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste);
        editTextMinimoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMinimoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste);
        editTextMaximoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMaximoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste);
        editTextMinimoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMinimoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste);
        editTextMaximoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste = view.findViewById(R.id.editTextMaximoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste);

        rowCosteCombustibleMatricula = view.findViewById(R.id.rowCosteCombustibleMatricula);
        rowCosteCombustibleMes = view.findViewById(R.id.rowCosteCombustibleMes);
        rowCosteCombustibleAnio = view.findViewById(R.id.rowCosteCombustibleAnio );
        rowCosteCombustibleNumRecargasMes = view.findViewById(R.id.rowCosteCombustibleNumRecargasMes);
        rowCosteCombustibleNumRecargasAnio = view.findViewById(R.id.rowCosteCombustibleNumRecargasAnio);
        rowCosteCombustibleCosteMes = view.findViewById(R.id.rowCosteCombustibleCosteMes);
        rowCosteCombustibleCosteAnio = view.findViewById(R.id.rowCosteCombustibleCosteAnio);
        rowCosteCombustibleMediaMes = view.findViewById(R.id.rowCosteCombustibleMediaMes);
        rowCosteCombustibleMediaAnio = view.findViewById(R.id.rowCosteCombustibleMediaAnio);
        rowCosteCombustibleMinimoMes = view.findViewById(R.id.rowCosteCombustibleMinimoMes);
        rowCosteCombustibleMaximoMes = view.findViewById(R.id.rowCosteCombustibleMaximoMes );
        rowCosteCombustibleMinimoAnio = view.findViewById(R.id.rowCosteCombustibleMinimoAnio);
        rowCosteCombustibleMaximoAnio = view.findViewById(R.id.rowCosteCombustibleMaximoAnio);

        rowCosteCombustibleXRecargaMediaMes = view.findViewById(R.id.rowCosteCombustibleXRecargaMediaMes);
        rowCosteCombustibleXRecargaMediaAnio = view.findViewById(R.id.rowCosteCombustibleXRecargaMediaAnio);
        rowCosteCombustibleXRecargaMinimoMes = view.findViewById(R.id.rowCosteCombustibleXRecargaMinimoMes);
        rowCosteCombustibleXRecargaMaximoMes = view.findViewById(R.id.rowCosteCombustibleXRecargaMaximoMes);
        rowCosteCombustibleXRecargaMinimoAnio = view.findViewById(R.id.rowCosteCombustibleXRecargaMinimoAnio);
        rowCosteCombustibleXRecargaMaximoAnio = view.findViewById(R.id.rowCosteCombustibleXRecargaMaximoAnio);

        prefs =   this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);
        matricula =prefs.getString("matricula","0");
        formateador = new FormateadorConsultarEstadisticaCosteCombustible();


        return view;
    }
    @Override
    public void onResume(){
        super.onResume();
        codigoCombustible=Integer.parseInt(prefs.getString("combustible","0"));
        boolean sinDatos=false;
        try {
            if(CodigoCombustibleVehiculo.getDescripcion(codigoCombustible).equals("CPRIM")){
                formateador.comienzaCU(matricula,CodigoCombustibleVehiculo.CPRIM.getId());
            }else{
                formateador.comienzaCU(matricula,CodigoCombustibleVehiculo.CSEC.getId());
            }

        }catch(Exception excp){
            Log.d("ConsultarEstadisticaCosteCombustibleFragment","EXCEPCION");
            excp.printStackTrace();
            sinDatos=true;
        }
        if(sinDatos){

            rowCosteCombustibleMatricula.setVisibility(View.GONE);
            rowCosteCombustibleMes.setVisibility(View.GONE);
            rowCosteCombustibleAnio.setVisibility(View.GONE);
            rowCosteCombustibleNumRecargasMes.setVisibility(View.GONE);
            rowCosteCombustibleNumRecargasAnio.setVisibility(View.GONE);
            rowCosteCombustibleCosteMes.setVisibility(View.GONE);
            rowCosteCombustibleCosteAnio.setVisibility(View.GONE);
            rowCosteCombustibleMediaMes.setVisibility(View.GONE);
            rowCosteCombustibleMediaAnio.setVisibility(View.GONE);
            rowCosteCombustibleMinimoMes.setVisibility(View.GONE);
            rowCosteCombustibleMaximoMes.setVisibility(View.GONE);
            rowCosteCombustibleMinimoAnio.setVisibility(View.GONE);
            rowCosteCombustibleMaximoAnio.setVisibility(View.GONE);

            rowCosteCombustibleXRecargaMediaMes.setVisibility(View.GONE);
            rowCosteCombustibleXRecargaMediaAnio.setVisibility(View.GONE);
            rowCosteCombustibleXRecargaMinimoMes.setVisibility(View.GONE);
            rowCosteCombustibleXRecargaMaximoMes.setVisibility(View.GONE);
            rowCosteCombustibleXRecargaMinimoAnio.setVisibility(View.GONE);
            rowCosteCombustibleXRecargaMaximoAnio.setVisibility(View.GONE);


        }else{
            cargaDatos();
        }
    }

    private void cargaDatos(){
        editTextMatriculaVehiculoEstadisticaCombustibleCoste.setText(formateador.getMatriculaVehiculo());
        editTextMesVehiculoEstadisticaCombustibleCoste.setText(formateador.getMes()+"");
        editTextAnioVehiculoEstadisticaCombustibleCoste.setText(formateador.getAnio()+"");
        editTextNRecargasMesVehiculoEstadisticaCombustibleCoste.setText(formateador.getNumeroRecargasMes()+"");
        editTextNRecargasAnioVehiculoEstadisticaCombustibleCoste.setText(formateador.getNumeroRecargasAnio()+"");
        editTextCosteCombustibleRecargasMesVehiculoEstadisticaCoste.setText(formateador.getCosteRecargasMes()+"");
        editTextCosteCombustibleRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getCosteRecargasAnio()+"");
        editTextMediaCosteCombustibleRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMediaCosteRecargasMes()+"");
        editTextMediaCosteCombustibleRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMediaCosteRecargasAnio()+"");
        editTextMinimoCosteCombustibleRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMinimoCosteRecargasMes()+"");
        editTextMaximoCosteCombustibleRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMaximoCosteRecargasMes()+"");
        editTextMinimoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMinimoCosteRecargasAnio()+"");
        editTextMaximoCosteCombustibleRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMaximoCosteRecargasAnio()+"");

        editTextMediaCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMediaCosteCombustiblesXUnidadMes()+"");
        editTextMediaCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMediaCosteCombustiblesXUnidadAnio()+"");
        editTextMinimoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMinimoCosteCombustiblesXUnidadMes()+"");
        editTextMaximoCosteCombustibleUnidadRecargaRecargasMesVehiculoEstadisticaCoste.setText(formateador.getMaximoCosteCombustiblesXUnidadMes()+"");
        editTextMinimoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMinimoCosteCombustiblesXUnidadAnio()+"");
        editTextMaximoCosteCombustibleUnidadRecargaRecargasAnioVehiculoEstadisticaCoste.setText(formateador.getMaximoCosteCombustiblesXUnidadAnio()+"");


    }

}
