package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarInformacionGasolinera;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarInformacionGasolinera.InterfaceFConsultarInformacionGasolineraImpl;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarInformacionGasolinera.FormateadorConsultarInformacionGasolinera;

public class ConsultarInformacionGasolineraFragment extends Fragment {

    private View view;
    private double latitud;
    private double longitud;
    private String direccion;
    private InterfaceFConsultarInformacionGasolineraImpl formateador;

    public static ConsultarInformacionGasolineraFragment newInstance() {
        return new ConsultarInformacionGasolineraFragment();
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        SharedPreferences prefs =  this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);
        latitud=Double.parseDouble(prefs.getString("latitud","0"));
        longitud=Double.parseDouble(prefs.getString("longitud","0"));
        direccion=prefs.getString("direccion","null");
        view =inflater.inflate(R.layout.fragment_consultar_informacion_gasolinera, container, false);
        formateador = new FormateadorConsultarInformacionGasolinera();
        return view;
    }

    @Override
    public void onResume() {
        super.onResume();
        cargaDatos();

    }

    private void cargaDatos(){
        TextView texto;
        formateador.init(latitud,longitud,direccion);
        texto = view.findViewById(R.id.editTextRotulo);
        texto.setText(formateador.getRotulo());
        texto = view.findViewById(R.id.editTextProvincia);
        texto.setText(formateador.getProvincia());
        texto = view.findViewById(R.id.editTextMunicipio);
        texto.setText(formateador.getMunicipio());
        texto = view.findViewById(R.id.editTextLocalidad);
        texto.setText(formateador.getLocalidad());
        texto = view.findViewById(R.id.editTextDireccion);
        texto.setText(formateador.getDireccion());
        texto = view.findViewById(R.id.editTextHorario);
        texto.setText(formateador.getHorario());
        texto = view.findViewById(R.id.editTextLatitud);
        texto.setText(formateador.getLatitud());
        texto = view.findViewById(R.id.editTextLongitud);
        texto.setText(formateador.getLongitud());
        texto = view.findViewById(R.id.editTextBiodiesel);
        texto.setText(formateador.getBiodiesel());
        texto = view.findViewById(R.id.editTextBioetanol);
        texto.setText(formateador.getBioetanol());
        texto = view.findViewById(R.id.editTextGasNaturalComprimido);
        texto.setText(formateador.getGasNaturalComprimido());
        texto = view.findViewById(R.id.editTextGasNaturalLicuado);
        texto.setText(formateador.getGasNaturalLicuado());
        texto = view.findViewById(R.id.editTextGasLicuadoPetroleo);
        texto.setText(formateador.getGasLicuadoPetroleo());
        texto = view.findViewById(R.id.editTextGasoleoA);
        texto.setText(formateador.getGasoleoA());
        texto = view.findViewById(R.id.editTextGasoleoB);
        texto.setText(formateador.getGasoleoB());
        texto = view.findViewById(R.id.editTextGasolina95);
        texto.setText(formateador.getGasolina95());
        texto = view.findViewById(R.id.editTextGasolina98);
        texto.setText(formateador.getGasolina98());
        texto = view.findViewById(R.id.editTextNuevoGasoleoA);
        texto.setText(formateador.getNuevoGasoleoA());

    }
}