package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarInformacionVehiculo_ListadoRecarga_ConsultarGraficas;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import androidx.fragment.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

import com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarRecarga.ConsultarRecargaActivity;
import com.example.juanalonsoastruga.cargascontrol.Vista.RegistroRecarga.RegistrarRecargaActivity;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoRecargas.FormateadorMostrarListadoRecargas;
import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUMostrarListadoRecargas.PostDataRecarga;

import java.util.ArrayList;
import java.util.List;


public class ConsultarListadoRecargasFragment extends Fragment  implements
        View.OnClickListener, OnItemActionClickListener{


    private List<PostDataRecarga> datos;
    private View view;
    private FormateadorMostrarListadoRecargas formateador;
    private ListAdapterRecargas adaptador;
    private List<PostDataRecarga> l;
    private FloatingActionButton botonAddRecarga ;
    private ListView lista;
    private String matricula;
    private boolean allowRefresh;

    public static ConsultarListadoRecargasFragment newInstance() {
        return new ConsultarListadoRecargasFragment();
    }


    public ConsultarListadoRecargasFragment() {
        // Required empty public constructor
    }
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //Crea la 'formateador' del MVC

        this.formateador = new FormateadorMostrarListadoRecargas();
        SharedPreferences prefs =  this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);

        matricula=prefs.getString("matricula","null");
        //matricula= getActivity().getIntent().getExtras().getString("matricula");
        this.formateador.init(matricula);

        View view=inflater.inflate(R.layout.fragment_consultar_listado_recargas, container, false);
        this.view=view;
        allowRefresh=true;

        lista = (ListView) view.findViewById(R.id.listviewrecargas);

        botonAddRecarga=(FloatingActionButton) view.findViewById(R.id.addRecargaButton);

        return view;
    }
    @Override
    public void onResume() {

        super.onResume();
        formateador.init(matricula);

        l= formateador.getDatosVista();
        if(l==null){

            l= new ArrayList<PostDataRecarga>(0);
        }
        adaptador = new ListAdapterRecargas(getContext(),l,this);

        lista.setAdapter(adaptador);

        botonAddRecarga.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                getActivity().startActivity(new Intent( getActivity() , RegistrarRecargaActivity.class));
                System.gc();
            }
        });
    }

    @Override
    public void onClick(View v) {

    }

    @Override
    public void onClickContainer(PostDataRecarga d) {
        Intent activity = new Intent( getActivity() , ConsultarRecargaActivity.class);
        activity.putExtra("fecha",d.getFecha().getTime());
        activity.putExtra("matricula",matricula);
        activity.putExtra("combustible",d.getCombustible());
        getActivity().startActivity(activity);
    }
}
