package com.example.juanalonsoastruga.cargascontrol.Vista.ConsultarRecarga;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.juanalonsoastruga.cargascontrol.R;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarInformacionRecarga.InterfaceFConsultarInformacionRecargaImpl;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarInformacionRecarga.FormateadorConsultarInformacionRecarga;

import java.util.Date;


public class ConsultarRecargaFragment extends Fragment {

    private View view;
    private String matricula;
    private String combustible;
    private Long fecha;
    private InterfaceFConsultarInformacionRecargaImpl formateador;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        view= inflater.inflate(R.layout.fragment_consultar_recarga, container, false);
        formateador = new FormateadorConsultarInformacionRecarga();
       // matricula=  getActivity().getIntent().getExtras().getString("matricula");
        SharedPreferences prefs =  this.getActivity().getSharedPreferences("Preferencias", Context.MODE_PRIVATE);
        matricula=prefs.getString("matricula","null");
        fecha=  getActivity().getIntent().getExtras().getLong("fecha");
        combustible=  getActivity().getIntent().getExtras().getString("combustible");
        return view;
    }
    @Override
    public void onResume() {
        super.onResume();
        int ancho = 500;
        int alto = 500;
       // TableRow.LayoutParams params = new TableRow.LayoutParams(ancho, alto);
        formateador.registrarUltimaRecargaConsultada(matricula,fecha,combustible);
        Date f=new Date();
        f.setTime(fecha);
        formateador.init(matricula,f,combustible);
        TextView texto;
        ImageView image;
        texto=view.findViewById(R.id.editTextFechaRecarga);
        texto.setText( formateador.getFecha());
        texto=view.findViewById(R.id.editTextKilometraje);
        texto.setText( formateador.getKm()+"");
        texto=view.findViewById(R.id.editTextCoste);
        texto.setText( formateador.getCoste()+"");
        texto=view.findViewById(R.id.editTextUnidadesMedida);
        texto.setText( formateador.getMedicion()+"");
        texto=view.findViewById(R.id.editTextMatriculaVehiculoRecargaConsulta);
        texto.setText( matricula);
        texto=view.findViewById(R.id.editTextCombustibleRecarga);
        texto.setText( formateador.getCombustible());
        image=view.findViewById(R.id.imageViewFotoTicket);
        image.setImageBitmap( formateador.getFoto());
       // image.setLayoutParams(params);

    }
}
