package com.example.juanalonsoastruga.cargascontrol.Controlador.CUConsultarEstadisticaVehiculo;

import com.example.juanalonsoastruga.cargascontrol.Modelo.CUConsultarEstadisticaVehiculo.InterfaceMConsultarEstadisticaVehiculo;
import com.example.juanalonsoastruga.cargascontrol.Modelo.CUConsultarEstadisticaVehiculo.ModeloConsultarEstadisticaVehiculo;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaVehiculo.InterfaceFConsultarEstadisticaVehiculo;
import com.example.juanalonsoastruga.cargascontrol.Formateador.CUConsultarEstadisticaVehiculo.FormateadorConsultarEstadisticaVehiculo;

import org.easymock.Mock;
import org.junit.Before;
import org.junit.Test;

import static org.easymock.EasyMock.createMock;

public class ControladorConsultarEstadisticaVehiculoTest {

    @Mock
    private InterfaceFConsultarEstadisticaVehiculo formateador;
    @Mock
    private InterfaceMConsultarEstadisticaVehiculo modelo;

    private ControladorConsultarEstadisticaVehiculo controlador;

    @Before
    public void setUp(){
        formateador =createMock(FormateadorConsultarEstadisticaVehiculo.class);
        modelo=createMock(ModeloConsultarEstadisticaVehiculo.class);
        controlador =new ControladorConsultarEstadisticaVehiculo(formateador);
    }
    @Test(expected=IllegalArgumentException.class)
    public void setVistaNull(){
        controlador.setFormateador(null);
    }
    @Test
    public void setVistaNotNull(){
        controlador.setFormateador(formateador);
    }
    @Test(expected=IllegalArgumentException.class)
    public void setModeloNull(){
        controlador.setModel(null);
    }
    @Test
    public void setModeloNotNull(){
        controlador.setModel(modelo);
    }

    @Test(expected=IllegalArgumentException.class)
    public void comienzaCUConMatriculaNull(){
        controlador.setFormateador(formateador);
        controlador.setModel(modelo);
        controlador.comienzaCU(null);
    }

}